Subject: Re: Feedback needed: retiring MOSPF and other specs?

From: Alex Zinin <[email-masked]>
Date: Tue, 20 Dec 2005 08:56:17 -0800

Sue-

 The discussion forum would be the newtrk WG (you should probably also cc
 the routing-discussion mailing list).

 Regarding reconsidering this work: if we really want to do it now, then we
 should remove MOSPF from the retirement list. Otherwise, we my as well put
 it to Historic and revisit it when people actually want to do something.

-- 
Alex
http://www.psg.com/~zinin

Tuesday, December 20, 2005, 8:27:06 AM, Susan Hares wrote:
> Radia:

> I guess I'm arguing that work needs to be reconsidered.
> I think applications/revisions of MOSPF may prove more useful in
> today's internet.

> So, is there a DISCUSS group for this?

> Sue

> -----Original Message-----
> From: Radia Perlman [mailto:[email-masked]] 
> Sent: Tuesday, December 20, 2005 2:36 AM
> To: Susan Hares
> Cc: Alex Zinin; [email-masked]; Acee Lindem; Rohit Dube
> Subject: Re: Feedback needed: retiring MOSPF and other specs?

> Suppose someone does want to use MOSPF, etc. Moving them to historic 
> doesn't seem
> to prevent anyone from implementing them.

> The only way I could imagine it would make any difference is if IPR 
> statements are based on
> the thing being standard, and if IETF de-standardized something, then it

> would no longer
> be royalty free.

> Radia

> Susan Hares wrote:

>>Alex:
>>
>>I think there are some environments where MOSPF might be useful.
>>How do we want to judge this?
>>
>>sue
>>
>>-----Original Message-----
>>From: [email-masked] [mailto:[email-masked]] On
>>Behalf Of Radia Perlman
>>Sent: Monday, December 19, 2005 7:10 PM
>>To: Alex Zinin
>>Cc: [email-masked]; Acee Lindem; Rohit Dube
>>Subject: Re: Feedback needed: retiring MOSPF and other specs?
>>
>>Seems reasonable. What's the downside of doing this?
>>
>>Radia
>>
>>
>>
>>Alex Zinin wrote:
>>
>>  
>>
>>>Acee, Rohit, RTG-DIR members:
>>>
>>> In case you didn't see this doc:
>>>
>>>    
>>>
>>http://www.ietf.org/internet-drafts/draft-ietf-newtrk-decruft-experimen
> t
>>-02.txt
>>  
>>
>>> I'm holding a DISCUSS on this. The doc suggests to retire MOSPF and a
>>> bunch of other specs to Historic. I need to know your opinion on
>>>    
>>>
>>this.
>>  
>>
>>> Here's what I have on my list of questionable retirements:
>>>
>>> 
>>>
>>>    
>>>
>>>>     RFC1378 (The PPP AppleTalk Control Protocol (ATCP))
>>>>     RFC1469 (IP Multicast over Token-Ring Local Area Networks)
>>>>     RFC1582 (Extensions to RIP to Support Demand Circuits)
>>>>     RFC1584 (Multicast Extensions to OSPF)
>>>>     RFC1598 (PPP in X.25)
>>>>     RFC1755 (ATM Signaling Support for IP over ATM)
>>>>   
>>>>
>>>>      
>>>>
>>> I'd like to hear opinions on this.
>>>
>>> 
>>>
>>>    
>>>
>>
>>
>>
>>
>>
>>
>>  
>>

---

From: Acee Lindem <[email-masked]>
Date: Tue, 20 Dec 2005 13:32:42 -0500

>So, is there a DISCUSS group for this?
Would it be inappropriate to discuss this here (rtg-dir)? We've had no 
interest
in MOSPF since PIM won over CBT as the preferred multicast routing 
protocol.
I'd be interested in what applications/revisions are envisioned?

Thanks,
Acee

---

From: Radia Perlman <[email-masked]>
Date: Tue, 20 Dec 2005 10:56:54 -0800

Not that it matters for this discussion, but what does "PIM vs CBT" have 
to do with MOSPF?
Perhaps you meant something like "PIM was declared the only multicast 
routing protocol, so
all others, including MOSPF, CBT, DVMRP should be deprecated"?

Radia

---

From: Acee Lindem <[email-masked]>
Date: Tue, 20 Dec 2005 14:22:40 -0500

Radia Perlman wrote:

> Not that it matters for this discussion, but what does "PIM vs CBT" 
> have to do with MOSPF?

Nope - that's not what I meant. What I meant was that there used to be 
some fleeting interest
in MOSPF and those arguing that it is technical superior to other 
multicast routing protocols. Since PIM
has been universally accepted as the preferred multicast routing 
protocol, there has been no IETF activity
and, to the best of my knowledge, no new implementations. I would also 
venture to say that the exant
implementations are falling into disuse. Hence, I don't having a problem 
with it being reclassified as
historic. A related issue is whether or not the MOSPF bits and code 
points in OSPFv3 should be
deprecated since I know of no MOSPFv3 implementations.

Acee

>
>
> Radia
>
> Acee Lindem wrote:
>
>>
>>>
>> Would it be inappropriate to discuss this here (rtg-dir)? We've had 
>> no interest

---

From: Alex Zinin <[email-masked]>
Date: Tue, 20 Dec 2005 15:38:43 -0800

OK, it appears that there is an agreement, at least on this list, that
moving MOSPF to Historic is the right thing. Given that there's lack of
interest in this area whatsoever, it seems to me we don't need to LC this
decision in the OSPF WG, but if Acee and Rohit think it would be useful, we
can do so.

Regarding deprecating MOSPF stuff in the OSPFv3 update. We should do that,
and in fact have to, since unimplemented features can't stay as a spec
progresses along the STD track.

---

From: Acee Lindem <[email-masked]>
Date: Tue, 20 Dec 2005 18:46:34 -0500

>decision in the OSPF WG, but if Acee and Rohit think it would be useful, we
I'll make an announcement, just so it doesn't surprise anyone.

>progresses along the STD track.
Right - What is the correct handling of the MOSPF specific bits and LSA 
function code? Should
I leave them as assigned (and indicate they are deprecated) or should I 
just remove them completely?
My assumption is the former but I want to make sure.

Thanks,
Acee

---

From: Alex Zinin <[email-masked]>
Date: Tue, 20 Dec 2005 15:56:24 -0800

Somehow I missed Sue's argument, so hold it a sec, pls.

Sue, to clarify, could you explain why you think MOSPF may be more
interesting now, and what do you mean by reconsidering this work?

One thing I'd like us to try and avoid is concluding something like "we
should try to spend some time thinking about blah" (not putting words in
your mouth, Sue). Now is the time when we think.